Get beneficiaries
curl --request GET \
--url https://api.onswitch.xyz/beneficiary/fetch \
--header 'x-service-key: <api-key>'import requests
url = "https://api.onswitch.xyz/beneficiary/fetch"
headers = {"x-service-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-service-key': '<api-key>'}};
fetch('https://api.onswitch.xyz/beneficiary/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Payment beneficiary fetched successfully",
"timestamp": "2026-04-18T14:22:08.631Z",
"data": {
"data": [
{
"id": "68d4f2a91eb37c15b8e3a4f7",
"reference": "a3f9c2e1-7b4d-4a8e-9c62-1d8f4e6b2a90",
"name": "Chinonso Adeyemi",
"category": "INDIVIDUAL",
"channel": "BANK",
"country": "NG",
"currency": "NGN",
"details": {
"holder_type": "INDIVIDUAL",
"holder_name": "Chinonso Adeyemi",
"account_number": "3048915627",
"bank_code": "058"
},
"created_at": "2026-04-18T14:22:08.631Z",
"updated_at": "2026-04-18T14:22:08.631Z"
}
],
"page": 1,
"limit": 10,
"total": 1,
"pages": 1
}
}{
"success": false,
"message": "amount must be greater than 0 for the selected corridor",
"timestamp": "2026-04-18T14:22:08.631Z",
"data": null
}Get beneficiaries
Returns paginated beneficiaries previously used as payment destination.
GET
/
beneficiary
/
fetch
Get beneficiaries
Authorizations
Service key for API authentication
Query Parameters
Filter by country.
Available options:
BJ, CD, CI, CM, ET, GA, GH, GM, GN, KE, LR, ML, MW, NG, RW, SL, SN, TZ, UG, ZA, ZM Filter by currency.
Available options:
CDF, ETB, GHS, GMD, GNF, KES, LRD, MWK, NGN, RWF, SLE, TZS, UGX, USD, XAF, XOF, ZAR, ZMW Filter by channel.
Available options:
BANK, MOBILEMONEY Filter by account category.
Available options:
INDIVIDUAL, BUSINESS Filter by reference or keyword
Maximum string length:
200Results page number. Default 1.
Required range:
x >= 1Results per page. Default 10, maximum 100.
Required range:
1 <= x <= 100Response
Beneficiaries retrieved successfully
Hide child attributes
Hide child attributes
Beneficiary records for the current page
Hide child attributes
Hide child attributes
Unique identifier for the beneficiary
Pattern:
^[a-f0-9]{24}$Name of the beneficiary
Available options:
INDIVIDUAL, BUSINESS Details of the beneficiary
Results page number. Default 1.
Results per page. Default 10, maximum 100.
Total matching beneficiaries (all pages)
Total number of pages for the current limit
⌘I